Skip to main content
Returns the receipt for a mined transaction. Receipts are only available after the transaction has been included in a block.
For preconfirmed transaction receipts before a block is sealed, use a Flashblocks-aware endpoint and see the Flashblocks Behavior section below.

Parameters

transactionHash
string
required
The 32-byte hash of the transaction.

Returns

result
object | null
A transaction receipt object, or null if the transaction is not found or is still pending.

Flashblocks Behavior

On a Flashblocks-aware endpoint, use "pending" as the block parameter to query preconfirmed state — data available up to 200ms before the next full block is sealed. Returns the receipt for a preconfirmed transaction before it is included in a finalized block. Only available for transactions already included in a Flashblock.
curl https://mainnet-preconf.base.org \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"],"id":1}'

Example

{
  "jsonrpc": "2.0",
  "method": "eth_getTransactionReceipt",
  "params": [
    "0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"
  ],
  "id": 1
}

Errors

CodeMessageDescription
-32000transaction indexing is in progressThe node is still indexing transactions. Retry after the node has finished syncing.